/*
 * Module: labeltab.h
 *
 * This contains definitions for global data structures managed
 * by labeltab.c and used by other modules.
 */

/*
 * The glb structure contains a chain of global labels sorted by address.
 * Global labels are function entry points.
 */
struct glb {
    address l_address;		/* label address */
    int sym_num;		/* symbol table entry number */
    int local;			/* from nlist->n_type: 0=local, 1=global */
    struct glb *next;		/* pointer to next entry */
};

/*
 * The llb structure contains a chain of local labels sorted by address.
 * Local labels are targets of branches, etc. within a function.
 */
struct llb {
    address l_address;		/* label address */
    int caselab;		/* flag for targets of case instructions */
    struct llb *next;		/* pointer to next entry */
};

/* declare labeltab.c function types */
struct glb *glb_first();
struct glb *glb_next();
struct llb *llb_first();
struct llb *llb_next();
